RDKit::SGroupParsing Namespace Reference

## Typedefs

typedef std::map< int, SubstanceGroup > | IDX_TO_SGROUP_MAP
typedef std::map< int, STR_VECT > | IDX_TO_STR_VECT_MAP

## Functions

unsigned int | ParseSGroupIntField (const std::string &text, unsigned int line, unsigned int &pos, bool isFieldCounter=false)
double | ParseSGroupDoubleField (const std::string &text, unsigned int line, unsigned int &pos)
void | ParseSGroupV2000STYLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000VectorDataLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SDILine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SSTLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SMTLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SLBLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SCNLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SDSLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SBVLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SDTLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SDDLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SCDSEDLine (IDX_TO_SGROUP_MAP &sGroupMap, IDX_TO_STR_VECT_MAP &dataFieldsMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing, unsigned int &counter, unsigned int &lastDataSGroup, std::ostringstream &currentDataField)
void | ParseSGroupV2000SPLLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SNCLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SAPLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SCLLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
void | ParseSGroupV2000SBTLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line)
template<class T >
std::vector< T > | ParseV3000Array (std::stringstream &stream)
void | ParseV3000CStateLabel (unsigned int line, const std::string &type, SubstanceGroup *sgroup, std::stringstream &stream)
void | ParseV3000SAPLabel (RWMol *mol, SubstanceGroup *sgroup, std::stringstream &stream)
std::string | ParseV3000StringPropLabel (std::stringstream &stream)
void | ParseV3000SGroupsBlock (std::istream *inStream, unsigned int &line, unsigned int nSgroups, RWMol *mol, bool &strictParsing)

## Typedef Documentation

## IDX_TO_SGROUP_MAP

typedef std::map<int, SubstanceGroup> RDKit::SGroupParsing::IDX_TO_SGROUP_MAP

Definition at line 16 of file MolSGroupParsing.h.

## IDX_TO_STR_VECT_MAP

typedef std::map<int, STR_VECT> RDKit::SGroupParsing::IDX_TO_STR_VECT_MAP

Definition at line 17 of file MolSGroupParsing.h.

## Function Documentation

## ParseSGroupDoubleField()

double RDKit::SGroupParsing::ParseSGroupDoubleField | ( | const std::string & | text,
|  | unsigned int | line,
|  | unsigned int & | pos
| ) |  |

## ParseSGroupIntField()

unsigned int RDKit::SGroupParsing::ParseSGroupIntField | ( | const std::string & | text,
|  | unsigned int | line,
|  | unsigned int & | pos,
|  | bool | isFieldCounter = `false`
| ) |  |

## ParseSGroupV2000SAPLine()

void RDKit::SGroupParsing::ParseSGroupV2000SAPLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SBTLine()

void RDKit::SGroupParsing::ParseSGroupV2000SBTLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SBVLine()

void RDKit::SGroupParsing::ParseSGroupV2000SBVLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SCDSEDLine()

void RDKit::SGroupParsing::ParseSGroupV2000SCDSEDLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | IDX_TO_STR_VECT_MAP & | dataFieldsMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing,
|  | unsigned int & | counter,
|  | unsigned int & | lastDataSGroup,
|  | std::ostringstream & | currentDataField
| ) |  |

## ParseSGroupV2000SCLLine()

void RDKit::SGroupParsing::ParseSGroupV2000SCLLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SCNLine()

void RDKit::SGroupParsing::ParseSGroupV2000SCNLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SDDLine()

void RDKit::SGroupParsing::ParseSGroupV2000SDDLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SDILine()

void RDKit::SGroupParsing::ParseSGroupV2000SDILine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SDSLine()

void RDKit::SGroupParsing::ParseSGroupV2000SDSLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SDTLine()

void RDKit::SGroupParsing::ParseSGroupV2000SDTLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SLBLine()

void RDKit::SGroupParsing::ParseSGroupV2000SLBLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SMTLine()

void RDKit::SGroupParsing::ParseSGroupV2000SMTLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SNCLine()

void RDKit::SGroupParsing::ParseSGroupV2000SNCLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SPLLine()

void RDKit::SGroupParsing::ParseSGroupV2000SPLLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000SSTLine()

void RDKit::SGroupParsing::ParseSGroupV2000SSTLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000STYLine()

void RDKit::SGroupParsing::ParseSGroupV2000STYLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseSGroupV2000VectorDataLine()

void RDKit::SGroupParsing::ParseSGroupV2000VectorDataLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line
| ) |  |

## ParseV3000Array()

template<class T >

std::vector<T> RDKit::SGroupParsing::ParseV3000Array | ( | std::stringstream & | stream | ) |

## ParseV3000CStateLabel()

void RDKit::SGroupParsing::ParseV3000CStateLabel | ( | unsigned int | line,
|  | const std::string & | type,
|  | SubstanceGroup * | sgroup,
|  | std::stringstream & | stream
| ) |  |

## ParseV3000SAPLabel()

void RDKit::SGroupParsing::ParseV3000SAPLabel | ( | RWMol * | mol,
|  | SubstanceGroup * | sgroup,
|  | std::stringstream & | stream
| ) |  |

## ParseV3000SGroupsBlock()

void RDKit::SGroupParsing::ParseV3000SGroupsBlock | ( | std::istream * | inStream,
|  | unsigned int & | line,
|  | unsigned int | nSgroups,
|  | RWMol * | mol,
|  | bool & | strictParsing
| ) |  |

## ParseV3000StringPropLabel()

std::string RDKit::SGroupParsing::ParseV3000StringPropLabel | ( | std::stringstream & | stream | ) |